﻿using Modèle;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Persistance
{
    public class Manager
    {
        public ReadOnlyCollection<Requin> Requins { get; private set; }
        private List<Requin> requins = new List<Requin>();
        public Requin SelectedRequin { get; set; }

        /// <summary>
        ///  DéPENDANCE
        /// </summary>
        public IPersistanceManager Pers { get; private set; }

        /// <summary>
        /// constructeur avec INJECTION DE LA DéPENDANCE
        /// </summary>

        public Manager(IPersistanceManager pers)
        {
            Requins = new ReadOnlyCollection<Requin>(requins);
            Pers = pers;
        }
        public void LoadRequins()
        {
            requins.Clear();
            requins.AddRange(Pers.LoadRequins());
            if (requins.Count > 0)
            {
                SelectedRequin = requins.First();
            }
        }

        public void SaveRequins() { }


    }
}